program test3
! no dimension version
 implicit none

 integer, parameter :: n=24
 integer            :: hour
 real               :: pres, temp, rh, u
 integer            :: i

 open(unit=10, file='SampleData.txt')
 open(unit=20, file='SampleData-a.txt')

  do i=1, n
   read(10,*) hour, pres, temp, rh, u
   write(20,*)  hour, pres, temp, rh, u
  end do
 
close(10)
close(20)

end program test3
